Show signature validation summary as popup
Needs ReviewPublic

Authored by chinmoyr on Jun 11 2018, 5:21 PM.

Details

Summary

This patch adds support for validating all signatures present in the PDF at once
and show the validation summary as popup in the page view.

Depends on D14816

Test Plan

Open a signed PDF and click on "Validate All Signatures".

Diff Detail

Repository
R223 Okular
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
chinmoyr created this revision.Jun 11 2018, 5:21 PM
Restricted Application added a project: Okular. · View Herald TranscriptJun 11 2018, 5:21 PM
Restricted Application added a subscriber: okular-devel. · View Herald Transcript
chinmoyr requested review of this revision.Jun 11 2018, 5:21 PM
aacid added inline comments.Jun 26 2018, 1:51 PM
part.cpp
1577

I think atleast is not a word. Also does the user really care about this "you have a signature form", why are signature forrms more important than the rest?

3627

atleast is two words i think, also "has problem" is not correct either i think.

part.h
240

ideally we should not have "slot" in the name, just what the function does, also Sig -> Signature please, no need to make it shorter :)

ui/pageview.cpp
5550 ↗(On Diff #36015)

I don't think this logic belongs here, it should be in document, this is not an "UI" thing, more a "core" thing.

What do you think?

ngraham added a subscriber: ngraham.EditedJun 26 2018, 2:03 PM

This document has forms of which atleast one is a signature form.

I feel like an implementation detail is leaking out here. Even though internally the signature is just another form, from a user's perspective, the signature is something else. How about this?

This document has forms.                       [Show forms] [x]

This document is digitally signed.         [Show signature] [x]

Or even:

This document has forms and is digitally signed.          [Show forms] [x]
                                                      [Show signature] [x]

And no, "atleast" isn't a word in English. :)

chinmoyr updated this revision to Diff 39701.Aug 14 2018, 2:19 PM
chinmoyr edited the summary of this revision. (Show Details)

Went with @ngraham's suggestion of showing a separate message for signature. But the "Show Signature" button will
show the signature panel widget and not the forms.

ss:

This revision was not accepted when it landed; it landed in state Needs Review.Aug 14 2018, 2:37 PM
This revision was automatically updated to reflect the committed changes.
chinmoyr reopened this revision.Aug 14 2018, 2:42 PM